Skip to content
Start here

Get BGP hijack events

GET/radar/bgp/hijacks/events

Retrieves the BGP hijack events.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
Query ParametersExpand Collapse
dateEnd: optional string

End of the date range (inclusive).

formatdate-time
dateRange: optional string

Filters results by date range.

dateStart: optional string

Start of the date range (inclusive).

formatdate-time
eventId: optional number

The unique identifier of a event.

format: optional "JSON" or "CSV"

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
hijackerAsn: optional number

The potential hijacker AS of a BGP hijack event.

involvedAsn: optional number

The potential hijacker or victim AS of a BGP hijack event.

involvedCountry: optional string

The country code of the potential hijacker or victim AS of a BGP hijack event.

maxLength2
minLength2
maxConfidence: optional number

Filters events by maximum confidence score (1-4 low, 5-7 mid, 8+ high).

minConfidence: optional number

Filters events by minimum confidence score (1-4 low, 5-7 mid, 8+ high).

page: optional number

Current page number, starting from 1.

exclusiveMinimum
minimum0
per_page: optional number

Number of entries per page.

exclusiveMinimum
minimum0
prefix: optional string
sortBy: optional "ID" or "TIME" or "CONFIDENCE"

Sorts results by the specified field.

One of the following:
"ID"
"TIME"
"CONFIDENCE"
sortOrder: optional "ASC" or "DESC"

Sort order.

One of the following:
"ASC"
"DESC"
victimAsn: optional number

The potential victim AS of a BGP hijack event.

ReturnsExpand Collapse
result: { asn_info, events, total_monitors }
asn_info: array of { asn, country_code, org_name }
asn: number
country_code: string
org_name: string
events: array of { id, confidence_score, duration, 15 more }
id: number
confidence_score: number
duration: number
event_type: number
hijack_msgs_count: number
hijacker_asn: number
hijacker_country: string
is_stale: boolean
max_hijack_ts: string
max_msg_ts: string
min_hijack_ts: string
on_going_count: number
peer_asns: array of number
peer_ip_count: number
prefixes: array of string
tags: array of { name, score }
name: string
score: number
victim_asns: array of number
victim_countries: array of string
total_monitors: number
result_info: { count, page, per_page, total_count }
count: number
page: number
per_page: number
total_count: number
success: boolean

Get BGP hijack events

curl https://api.cloudflare.com/client/v4/radar/bgp/hijacks/events \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "asn_info": [
      {
        "asn": 0,
        "country_code": "country_code",
        "org_name": "org_name"
      }
    ],
    "events": [
      {
        "id": 0,
        "confidence_score": 0,
        "duration": 0,
        "event_type": 0,
        "hijack_msgs_count": 0,
        "hijacker_asn": 0,
        "hijacker_country": "hijacker_country",
        "is_stale": true,
        "max_hijack_ts": "max_hijack_ts",
        "max_msg_ts": "max_msg_ts",
        "min_hijack_ts": "min_hijack_ts",
        "on_going_count": 0,
        "peer_asns": [
          0
        ],
        "peer_ip_count": 0,
        "prefixes": [
          "string"
        ],
        "tags": [
          {
            "name": "name",
            "score": 0
          }
        ],
        "victim_asns": [
          0
        ],
        "victim_countries": [
          "string"
        ]
      }
    ],
    "total_monitors": 0
  },
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0
  },
  "success": true
}
Returns Examples
{
  "result": {
    "asn_info": [
      {
        "asn": 0,
        "country_code": "country_code",
        "org_name": "org_name"
      }
    ],
    "events": [
      {
        "id": 0,
        "confidence_score": 0,
        "duration": 0,
        "event_type": 0,
        "hijack_msgs_count": 0,
        "hijacker_asn": 0,
        "hijacker_country": "hijacker_country",
        "is_stale": true,
        "max_hijack_ts": "max_hijack_ts",
        "max_msg_ts": "max_msg_ts",
        "min_hijack_ts": "min_hijack_ts",
        "on_going_count": 0,
        "peer_asns": [
          0
        ],
        "peer_ip_count": 0,
        "prefixes": [
          "string"
        ],
        "tags": [
          {
            "name": "name",
            "score": 0
          }
        ],
        "victim_asns": [
          0
        ],
        "victim_countries": [
          "string"
        ]
      }
    ],
    "total_monitors": 0
  },
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0
  },
  "success": true
}